=== modified file 'tests/autopilot/calendar_app/tests/__init__.py'
--- tests/autopilot/calendar_app/tests/__init__.py	2014-01-18 23:29:11 +0000
+++ tests/autopilot/calendar_app/tests/__init__.py	2014-01-28 15:31:31 +0000
@@ -62,6 +62,11 @@
             #disabling for now
             #self.addCleanup(os.system("start maliit-server"))
 
+        # Unset the current locale to ensure locale-specific data
+        # (day and month names, first day of the week, …) doesn’t get
+        # in the way of test expectations.
+        self.patch_environment('LC_ALL', 'C')
+
         if os.path.exists(self.local_location):
             self.launch_test_local()
         elif os.path.exists(self.installed_location):

